export default {
  title: 'Dek',

  componentProps: [
    {
      name: 'children',
      type: 'node',
      description: 'The content of the component',
    },
  ],

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibDek-root',
      description: 'Styles applied to root element',
    },
  ],

  examples: [
    {
      code: `
<Dek>
  Compared to the Great Recession, fewer male and blue-collar workers
  have lost jobs, while women, Latinos, African Americans and young workers
  have been hit hardest.
</Dek>`,
    },
  ],
};
