import copy from 'copy-to-clipboard';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faCopy } from '@fortawesome/free-solid-svg-icons';

import stylesheet from './styles.module.scss';

const ColorTd = props => {
  const { className } = props;

  const value = props.value || props.children;

  return (
    <td className={className} onClick={() => copy(value)}>
      {props.children}
      <FontAwesomeIcon icon={faCopy} />
      <style jsx>{stylesheet}</style>
    </td>
  );
};

export default ColorTd;
