import { useCallback } from 'react';

export default function useFbHandler({ meta, handler, triggerNavigator }) {
  return useCallback(e => {
    e.preventDefault();
    handler();

    if (!triggerNavigator()) {
      const u = encodeURIComponent(meta.canonical);
      window.open(`https://www.facebook.com/sharer/sharer.php?u=${u}`);
    }
  }, [meta.canonical, handler]);
}
