export default {
  plain: {
    backgroundColor: '#2b2b2b',
    color: '#f8f8f2',
  },
  styles: [
    {
      types: ['comment', 'prolog', 'doctype', 'cdata', 'punctuation'],
      style: {
        color: '#d4d0ab',
      },
    },
    {
      types: ['punctuation'],
      style: {
        color: '#fefefe',
      },
    },
    {
      types: ['namespace'],
      style: {
        opacity: 0.7,
      },
    },
    {
      types: ['property', 'tag', 'constant', 'symbol', 'deleted'],
      style: {
        color: '#ffa07a',
      },
    },
    {
      types: ['selector', 'attr-name', 'string', 'char', 'builtin', 'inserted'],
      style: {
        color: '#abe338',
      },
    },
    {
      types: ['function', 'class-name'],
      style: {
        color: '#ffd700',
      },
    },
    {
      types: [
        'boolean',
        'number',
        'operator',
        'entity',
        'url',
        'attr-value',
        'keyword',
        'control',
        'directive',
        'unit',
        'statement',
        'at-rule',
        'placeholder',
        'variable',
      ],
      style: {
        color: '#00e0e0',
      },
    },
    {
      types: ['deleted'],
      style: {
        textDecorationLine: 'line-through',
      },
    },
    {
      types: ['inserted'],
      style: {
        textDecorationLine: 'underline',
      },
    },
    {
      types: ['italic'],
      style: {
        fontStyle: 'italic',
      },
    },
    {
      types: ['important', 'bold'],
      style: {
        fontWeight: 'bold',
      },
    },
    {
      types: ['important', 'regex'],
      style: {
        color: '#ffd700',
      },
    },
  ],
};
